Subject: Re: linux-next: manual merge of the msm tree with the arm tree

From: David Brown <[email-masked]>
Date: Wed, 02 Feb 2011 14:59:16 -0800

On Wed, Feb 02 2011, Nicolas Pitre wrote:

> The actual problem here is that some people, notably the msm folks, are 
> bypassing the maintainer hierarchy and going straight to Linus for their 
> pull requests instead of asking RMK to pull.  We once debated this at 
> some point and it was agreed that completely independent SOC specific 
> code with no dependencies on the common ARM code _could_ go straight to 
> Linus directly if they crave for it.

I also have no real problem sending pull requests to RMK instead of
Linus, as long as it isn't a pain.  Linus gives clear directions as to
how his tree works, and when he expects what kinds of pull requests.
Weird web-based patch tracking systems are a pain.  Pull requests from
git with a fairly easy way to know when they've been pulled are not.

I also find that http://ftp.arm.linux.org.uk/ is frequently
inaccessable, and usually slow.

As it stands, so far, it's been a lot less work for me to send directly
to Linus, and resolve the issues that come up when they do.

David

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum.